# MediaRestriction (Google Data APIs Client Library (1.43.0))
Date: 2011-02-04

# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.media.mediarss
Class MediaRestriction

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.media.mediarss.MediaRestriction

All Implemented Interfaces:
  Extension

    public class MediaRestriction

extends AbstractExtension

`<media:category>`. See description on http://search.yahoo.com/mrss.

Nested Class Summary
`static class` `MediaRestriction.Relationship` Values for the relationship attribute.
`static class` `MediaRestriction.Type` Values for the type attribute.

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`MediaRestriction()`

Method Summary
`protected void` `consumeAttributes(AttributeHelper attrsHelper)` Consumes attributes from the attribute helper.
`java.lang.String` `getContent()`
`java.util.List<java.lang.String>` `getContentAsCountryCodeList()` Gets the content as a space-separated list of country codes.
`MediaRestriction.Relationship` `getRelationship()`
`MediaRestriction.Type` `getType()`
`protected void` `putAttributes(AttributeGenerator generator)` Puts attributes into the attribute generator.
`void` `setContent(java.lang.String content)`
`void` `setContentAsCountryCodeList(java.util.List<java.lang.String> codes)` Sets the content as a space-separated list of country codes.
`void` `setRelationship(MediaRestriction.Relationship relationship)`
`void` `setType(MediaRestriction.Type type)`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, getHandler, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MediaRestriction

    public MediaRestriction()

Method Detail

### getRelationship

    public MediaRestriction.Relationship getRelationship()

### setRelationship

    public void setRelationship(MediaRestriction.Relationship relationship)

### getType

    public MediaRestriction.Type getType()

### setType

    public void setType(MediaRestriction.Type type)

### setContentAsCountryCodeList

    public void setContentAsCountryCodeList(java.util.List<java.lang.String> codes)

  Sets the content as a space-separated list of country codes.

  Parameters:
    `codes` - a list of country codes

### getContentAsCountryCodeList

    public java.util.List<java.lang.String> getContentAsCountryCodeList()

  Gets the content as a space-separated list of country codes. Check the type before calling this method.

  Returns:
    a list of strings

### putAttributes

    protected void putAttributes(AttributeGenerator generator)

  Description copied from class: `AbstractExtension`
  Puts attributes into the attribute generator. Called from `AbstractExtension.generate(XmlWriter,ExtensionProfile)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Parameters:
    `generator` - attribute generator

### consumeAttributes

    protected void consumeAttributes(AttributeHelper attrsHelper)
                              throws ParseException

  Description copied from class: `AbstractExtension`
  Consumes attributes from the attribute helper. May also use `AttributeHelper.consumeContent(boolean)` to consume the element's text content. Called from `AbstractExtension.getHandler(com.google.gdata.data.ExtensionProfile, java.lang.String, java.lang.String, org.xml.sax.Attributes)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Parameters:
    `attrsHelper` - attribute helper
  Throws:
    `ParseException` - any parsing exception

### getContent

    public java.lang.String getContent()

### setContent

    public void setContent(java.lang.String content)